com.dlsc.flexgantt.swing.action.layer

## Class AbstractLayerContainerAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    AddHighlightedTimelineObjectsAction, AddPinnedPopupAction, ClearHighlightedTimelineObjectsAction, ClearPinnedPopupsAction, CreateBookmarkAction, DeleteRelationshipAction, DeleteTimelineObjectAction, LassoModeAction, RemoveHighlightedTimelineObjectsAction, RemovePinnedPopupAction

      public abstract class AbstractLayerContainerAction
      extends AbstractFlexGanttAction

  An abstract action implementation that is specialized on performing operations on the layer container. The class provides methods for setting and getting a reference to the layer container.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LayerContainer` | `layerContainer` Stores a reference to the layer container.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLayerContainerAction(LayerContainer lc, String name)` Constructs a new layer container action.
    `AbstractLayerContainerAction(LayerContainer lc, String name, Icon icon)` Constructs a new layer container action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayerContainer` | `getLayerContainer()` Returns the layer container on which the action will be performed.
    `void` | `setLayerContainer(LayerContainer lc)` Sets a new layer container on which the action will be performed.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### layerContainer

          protected LayerContainer layerContainer

      Stores a reference to the layer container.
      Since:
        1.0
      See Also:
        `setLayerContainer(LayerContainer)`, `getLayerContainer()`

  - ### Constructor Detail

    - #### AbstractLayerContainerAction

          public AbstractLayerContainerAction(LayerContainer lc,
                                              String name,
                                              Icon icon)

      Constructs a new layer container action.
      Parameters:
        `lc` - the layer container on which to perform the action
        `name` - the name of the action that will be displayed on buttons and / or menu items
        `icon` - a graphical representation of the action
      Since:
        1.0

    - #### AbstractLayerContainerAction

          public AbstractLayerContainerAction(LayerContainer lc,
                                              String name)

      Constructs a new layer container action.
      Parameters:
        `lc` - the layer container on which to perform the action
        `name` - the name of the action that will be displayed on buttons and / or menu items
      Since:
        1.0

  - ### Method Detail

    - #### getLayerContainer

          public LayerContainer getLayerContainer()

      Returns the layer container on which the action will be performed.
      Returns:
        the layer container that is the target of the action
      Since:
        1.0

    - #### setLayerContainer

          public void setLayerContainer(LayerContainer lc)

      Sets a new layer container on which the action will be performed.
      Parameters:
        `lc` - the new target layer container of the action
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.